#ifndef ENTERDIALOG_H
#define ENTERDIALOG_H

#include <QObject>
#include <QDialog>
#include <QLabel>
#include <QLineEdit>
#include <QPushButton>
#include <QtSql>
#include <QCryptographicHash>
#include "tinyaes.h"

class EnterDialog: public QDialog
{
  Q_OBJECT

public:
  EnterDialog();
  void SetPass(QString *);

private:

  QWidget * wid = new QWidget(this);
  QLabel Label;
  QLineEdit LineEdit;
  QPushButton Button;
  QString * lp_pass;

signals:

public slots:

  void on_pushButton_clicked();
};

#endif // ENTERDIALOG_H
